Subject: JTAG debugger for MPC82xx/MPC83xx

From: Steven Hein <[email-masked]>
Date: Tue, 19 Sep 2006 16:51:07 -0500

Hi,

My group is starting a new project includes a custom board
with an MPC8258E processor on it.   I'm in the process
of evaluating the state of the Linux kernel, toolchains,
etc. for the MPC8258E/MPC8360E, as well as selecting a
JTAG debugger for our project.

I've been researching the available JTAG debuggers that
support the MPC82xx/MPC83xx family, and I've found these
choices so far:

* Abatron BDI-2000
* Green Hills Probe
* Freescale's PowerTAP PRO for PowerPC
* Lauterbach TRACE32-ICD
* WindRiver ICE
* Embedded Toolsmiths Guardian-SE (BUT...this is no longer
  being sold, according to an email response I received
  from Embedded Toolsmiths)

We will definitely want one with a network connection,
and will will run the debugger software from a Linux host.
Ideally, we would also like one that provides a library
to allow us to write apps to function the debugger.

Can anyone comment on what JTAG debugger they are using,
and how have your experiences been?   Are there any other
good options besides the ones mentioned above.
I'd appreciate any input.

Thanks!
Steve

-- 
~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
Steve Hein ([email-masked])              Engineering Diagnostics/Software
Silicon Graphics, Inc.                          
1168 Industrial Blvd.                 Phone: (715) 726-8410
Chippewa Falls, WI 54729              Fax:   (715) 726-6715
~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~